Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.util
Interface ScrollableModel

All Superinterfaces
  Serializable

All Known Implementing Classes:
  DefaultScrollableModel

Deprecated

    @Deprecated
    public interface ScrollableModel

extends Serializable

This file contains an interface for any scrollable model It helps manage large returned value by returning only a set of cached value objects (if used properly), reducing the traffic and the memory usage with this simple interface.

Method Summary
`int` | `getCount()` Deprecated gets the total number of elements managed by the Scrollable Model.
`Class` | `getModelClass()` Deprecated All objects managed by the scrollable model are of the same class.
`int` | `getNbPages()` Deprecated Gets the total number of pages over the scrollable model
`Object[]` | `getPage(int pageIndex)` Deprecated Gets a page worth of Objects, given a page index.
`int` | `getPageSize()` Deprecated gets the page size for an instance of a scrollable model i.e.
`Object` | `getValueAt(int valueIndex)` Deprecated Gets the value (hopefully a value object) based on the index the value
`void` | `setValueAt(Serializable value, int valueIndex)` Deprecated Sets the value of an element based on its index in the list of values managed by the scrollable model.

Method Detail

### getCount

    int getCount()

  Deprecated
  gets the total number of elements managed by the Scrollable Model.

  Returns
    the count of all elements.

### getValueAt

    Object getValueAt(int valueIndex)

  Deprecated
  Gets the value (hopefully a value object) based on the index the value

  Parameters
    `valueIndex,` - the index for the value to retrieve
  Returns
    the corresponding value as an Object

### getModelClass

    Class getModelClass()

  Deprecated
  All objects managed by the scrollable model are of the same class. This method retrieves that class

  Returns
    the Class of all objects managed by the scrollable model.

### getNbPages

    int getNbPages()

  Deprecated
  Gets the total number of pages over the scrollable model

  Returns
    the number of pages

### getPageSize

    int getPageSize()

  Deprecated
  gets the page size for an instance of a scrollable model i.e. '10' means 10 value objects are kept in one page.

  Returns
    the size of all pages

### setValueAt

    void setValueAt(Serializable value,
                    int valueIndex)

  Deprecated
  Sets the value of an element based on its index in the list of values managed by the scrollable model.

  Parameters
    `value,` - the 'value object' at a location in the list
    `valueIndex,` - the location of the value object in the list

### getPage

    Object[] getPage(int pageIndex)

  Deprecated
  Gets a page worth of Objects, given a page index.

  Parameters
    `pageIndex,` - the index in the list of pages
  Returns
    an array of objects for that page.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.